#!/bin/bash

# 'pip3 show pyvisa-py'コマンドを実行し、出力からパス文字列を取得
path=$(pip3 show pyvisa-py | grep -oP '(?<=Location: ).*')

# パス文字列に'/pyvisa_py/protocols/usbtmc.py'を連結
target_file="$path/pyvisa_py/protocols/usbtmc.py"

# ファイルが存在するか確認
if [ ! -f "$target_file" ]; then
    echo "no usbtmc.py"
    exit 1
fi

# ファイルが存在する場合は、'usbtmc.py.bak'にリネーム
mv "$target_file" "$path/pyvisa_py/protocols/usbtmc.py.bak"

# スクリプトと同じディレクトリにある'usbtmc.py'をコピー
cp "$(dirname "$0")/usbtmc.py" "$target_file"

# Node-RED のインストール
bash <(curl -sL https://raw.githubusercontent.com/node-red/linux-installers/master/deb/update-nodejs-and-nodered)

#　Node-REDを起動時に自動立ち上げするようにする。
sudo systemctl enable nodered.service

#　apacheの設定
sudo apt install apache2
user=$(whoami)
echo "USER = $user"

sudo chown "$user:$user" /var/www/html
mkdir /var/www/html/data
